from pytable.schemabuilder import *
from pytable import specifierfromoptions
specifier = specifierfromoptions.specifierFromOptions()

schema = database(
	name = specifier.database,
	tables = [],
)

driver, connection = specifier.connect()
for tableName in driver.listTables( connection ):
	tableSchema = driver.tableStructure( connection, tableName = tableName )
	schema.tables.append( tableSchema )

schema.resolve()
print repr( schema )
